package org.eclipse.xtend.typesystem.xsd.tests;

import junit.framework.Test;
import junit.framework.TestSuite;

/*
 * automatically generated by org.eclipse.xpand.releng.GenerateTestSuites 
 * 
 * @generated 
 */
public class AllTests {
   public static Test suite() {
      TestSuite suite = new TestSuite("Tests for org.eclipse.xtend.typesystem.xsd.tests");
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.compositetypes.CompositeTypesTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.ecorebuilder.EcoreBuilderTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.emap.EMapTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.extendxmlreader.XtendXMLReaderTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.featuremap.FeatureMapTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.loadschema.LoadSchemaByWorkflowTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.loadschema.LoadSchemaByXMLNoNamespaceSchemalocationTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.loadschema.LoadSchemaByXMLSchemalocationTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.loadschema.LoadSchemaByXSDImportTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.loadschema.LoadSchemaByXSDIncludeTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.nsmapping.NSMappingTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.qname.QNameTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.reloadschemas.ReloadSchemasTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.typemapper.TypeMapperTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.xmlprocessor.XMLProcessorTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.xmlbeautifier.XMLBeautifierTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.xmlreader.XMLReaderTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.xmlwriter.XMLWriterTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.xsdecorebuilder.XSDEcoreBuilderTest.class);
      suite.addTestSuite(org.eclipse.xtend.typesystem.xsd.tests.xsdmetamodel.XSDMetaModelTest.class);
      return suite;
   }
}
